This project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

# Changelog for gCube Catalogue (gCat) API

## [v3.0.0-SNAPSHOT]

- Library migrated to Smartgears 4


## [v2.3.1]

- Added Item Author as system:cm_ metadata to keep track of item author


## [v2.3.0]

- Aligned constants name used as query parameters
- Added query parameter constant used in item listing to get the whole item instead of just the name [#23691]


## [v2.2.0]

- Added support to manage configurations [#22658]
- Migrated to ServiceClass corresponding to Maven groupId

## [v2.1.0]

- Added query parameter social_post_notification to override default VRE behaviour [#21345]
- Added support for moderation [#21342]
- Added items bulk delete/purge [#21685]
- Added empty trash API [#13322]


## [v2.0.0]

- Changed service class 

## [v1.2.2]

- Added count method for Item collection [#20627]
- Added count method for Organization, Group and Profile collection [#20629]
- Switched JSON management to gcube-jackson [#19735]


## [v1.2.1] [r4.18.0] - 2019-12-10

- Fixed distro files and pom according to new release procedure


## [v1.2.0]  [r4.15.0] - 2019-11-06

- Added org parameter to support to list item at VO level in gCat Service [#17635]


## [v1.1.0] [r4.14.0] - 2019-05-27

- Added Social Post parameter [#13335]


## [v1.0.0] [r4.13.1] - 2019-02-26

- First Release

